Subject: Re: [Cellar] Call for adoption of three new WG items

From: Steve Lhomme <[email-masked]>
Date: Sun, 3 Jun 2018 15:55:45 +0200

2018-06-01 3:13 GMT+02:00 Michael Richardson <[email-masked]>:
>
> hubblec4 <[email-masked]> wrote:
>     >> > Moving the tags section to a separate document wasn’t because of its
>     >> > complexity but because it would likely need more frequent revision as
>     >> > new metadata values are added. So the chapters descriptions are still
>     >> > in draft-lhomme-cellar-matroska-04, see
>     >> > https://tools.ietf.org/html/draft-lhomme-cellar-matroska-04#section-10.
>     >>
>     >> Will the new tags materially affect processing of the old tags?
>
>     > I say no. It is also possible to use own private (undefinded) Tags, for
>     > example Mosu's Statistics Tags without break processing old Tags.
>     > All Tags work independently.
>
> So, new functionality can be in new documents and does not require revising
> documents.

Correct.

>     > Also new Tags elements must be safe for the old Tags elements.
>
> If there were new behaviours necessary for old tags, then we would have to
> change the file version number, I think.

Correct although breaking backward compatibility is not desired for now.

> --
> ]               Never tell me the odds!                 | ipv6 mesh networks [
> ]   Michael Richardson, Sandelman Software Works        | network architect  [
> ]     [email-masked]  http://www.sandelman.ca/        |   ruby on rails    [
>
>
> _______________________________________________
> Cellar mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/cellar
>

-- 
Steve Lhomme
Matroska association Chairman